# Class FilesReader

java.lang.Object
org.jmol.io.FilesReader

All Implemented Interfaces:
  `Runnable, JmolFilesReaderInterface`

public class FilesReader extends Object implements JmolFilesReaderInterface
open a set of models residing in different files

## Constructor Summary

Constructors
Constructor
Description
`FilesReader()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAtomSetCollection()`
`Object`
`getBufferedReaderOrBinaryDocument(int i, boolean forceBinary)`
called by SmartJmolAdapter to request another buffered reader or binary document, rather than opening all the readers at once.
`void`
`run()`
`void`
`set(FileManager fileManager, Viewer vwr, String[] name, String[] nameAsGiven, String[] types, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilesReader

public FilesReader()

## Method Details

### set

public void set(FileManager fileManager, Viewer vwr, String[] name, String[] nameAsGiven, String[] types, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)

Specified by:
  `set` in interface `JmolFilesReaderInterface`

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### getBufferedReaderOrBinaryDocument

public Object getBufferedReaderOrBinaryDocument(int i, boolean forceBinary)
called by SmartJmolAdapter to request another buffered reader or binary document, rather than opening all the readers at once.

Specified by:
  `getBufferedReaderOrBinaryDocument` in interface `JmolFilesReaderInterface`
Parameters:
  `i` - the reader index
  `forceBinary` -
Returns:
  a BufferedReader or null in the case of an error

### getAtomSetCollection

public Object getAtomSetCollection()

Specified by:
  `getAtomSetCollection` in interface `JmolFilesReaderInterface`